program Rekordsmen;
  var M,N,i,j,Max,MaxCount,Count:longint;
begin
  write('M,N=');readln(M,N);
  Max:=1; MaxCount:=1;
  for i:=M to N do begin
    Count:=0;
    for j:=1 to i do
      if i mod j=0 then inc(Count);
    if Count>MaxCount then begin
      MaxCount:=Count; Max:=i
    end;
  end;
  writeln('Число ',Max);
  writeln('имеет ',MaxCount,' делителей');
  writeln('Нажмите клавишу Enter ...');
  readln;
end.
